package com.bonus.canteen.core.notice.print.v2.constant;

public enum PrintColumnTypeEnum {
   TEXT(1),
   QR(2),
   TEXT_ARRAY(3);

   private final Integer key;

   private PrintColumnTypeEnum(Integer key) {
      this.key = key;
   }

   public static PrintColumnTypeEnum getPrintColumnTypeEnum(Integer key) {
      PrintColumnTypeEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         PrintColumnTypeEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp;
         }
      }

      return null;
   }

   public Integer getKey() {
      return this.key;
   }

}
